# Interface BinBag.Bin

Enclosing class:
  `BinBag`

public static interface BinBag.Bin
Describes the extent of a bin and the value it contains.

Since:
  8 Jan 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double`
`getXMax()`
Returns the upper bound of this bin.
`double`
`getXMin()`
Returns the lower bound of this bin.
`double`
`getY()`
Returns the value so far accumulated into this bin.

## Method Details

### getXMin

double getXMin()
Returns the lower bound of this bin.

Returns:
  axis minimum of bin

### getXMax

double getXMax()
Returns the upper bound of this bin.

Returns:
  axis maximum of bin

### getY

double getY()
Returns the value so far accumulated into this bin.

Returns:
  bin value